Subject: bug#14471: 24.1.50; GTK3 shows resize handle which cannot be disabled

From: Stefan Kangas <[email-masked]>
Date: Sat, 28 Sep 2019 11:51:48 +0200

martin rudalics <[email-masked]> writes:

>  > Does that mean that this is an issue with the window manager and not with Emacs?
>
> I'm not sure whether we should call it an issue.  There's a number of
> issues involved though:

Thanks for the explanation.  I guess that means we should close this as notabug.

> Finally, note that GTK has deprecated resize grips since version 3.14.

If I'm reading this correctly, they removed them in 3.14 (released on
2014-09-22):

https://mail.gnome.org/archives/gnome-announce-list/2014-September/msg00042.html
https://gitlab.gnome.org/GNOME/gtk/raw/master/NEWS?id=3.14.0
https://developer.gnome.org/gtk3/stable/GtkWindow.html#gtk-window-set-has-resize-grip

That would explain why I'm not seeing them on GTK 3.24.5 (the version
now shipped with Debian stable).

Best regards,
Stefan Kangas